<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pd@38BE8=7FFFFFFF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="on">
      <action>temp0 =maincpu.pb@227E9</action>
      <action>temp1 =maincpu.pd@2371E</action>
    </script>
    <script state="run">
      <action>maincpu.pb@227E9=CB</action>
      <action>maincpu.pd@2371E=03000300</action> <!-- Part 1 loads $B as the initial lives value and part2 takes care of the decrement. -->
    </script>
    <script state="off">
      <action>maincpu.pb@227E9=temp0 </action>
      <action>maincpu.pd@2371E=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.pb@24430</action>
    </script>
    <script state="run">
      <action>maincpu.pb@24430=FC</action>
    </script>
    <script state="off">
      <action>maincpu.pb@24430=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
